Skip to main content
Jump to: navigation, search

Difference between revisions of "ATL/How Install ATL From CVS"

< ATL
m (ATL/How Install ATL From CVS/ moved to ATL/How Install ATL From CVS: deleted / in page name)
(Update of the installation instructions & screenshots (ATL is now a M2M component))
Line 7: Line 7:
 
==Install Eclipse and EMF==
 
==Install Eclipse and EMF==
  
In order to use ADT (ATL Development Tools), you need Eclipse and EMF. ADT has been developed with and for Eclipse 3.2.x. ADT may be compatible with other versions. You can download Eclipse here: http://www.eclipse.org/downloads/ and EMF here: http://www.eclipse.org/emf/.
+
In order to use ADT (ATL Development Tools), you need Eclipse and EMF. ADT has been developed with and for Eclipse 3.2.x. ADT may be compatible with other versions (we are currently testing it with Eclipse 3.3 and we do not find any specific issue for the moment). You can download Eclipse here: http://www.eclipse.org/downloads/ and EMF here: http://www.eclipse.org/emf/.
  
 
Unzip the Eclipse zip file; this will create an eclipse directory with every Eclipse files in it.
 
Unzip the Eclipse zip file; this will create an eclipse directory with every Eclipse files in it.
Line 23: Line 23:
 
You do not need a password.
 
You do not need a password.
  
Then, you can go to HEAD -> org.eclipse.gmt -> ATL and select the 14 projects of the folder ATL and check them out (this action is available in the context menu).
+
Then, you can go to HEAD -> org.eclipse.m2m -> org.eclipse.m2m.atl -> plugins. You can now select the projects of the folder "plugins" (note that the "XXX-feature" ones are not mandatory) and check them out (this action is available in the context menu).
  
 
[[Image:ATL_CVSCheckout.PNG]]
 
[[Image:ATL_CVSCheckout.PNG]]
Line 29: Line 29:
 
==Configuration of ADT==
 
==Configuration of ADT==
  
Now, you need to go to the Plug-in perspective. Some external libraries are required for the plug-in org.atl.eclipse.engine and org.atl.engine.repositories.mdr4atl but not available on the CVS repository (a README file is available in this plug-in). You need to download the jar files into the lib/ directory of these projects.
+
Now, you need to go to the Plug-in perspective. Some external libraries are required for the plug-in org.eclipse.m2m.atl.engine and org.eclipse.m2m.atl.drivers.mdr4atl but not available on the CVS repository (a README file is available in this plug-in). You need to download the jar files into the lib/ directory of these projects.
  
Download ANTLR 2.7.5 from http://antlr.org/ and put antlr.jar into lib/ of plugin org.atl.eclipse.engine.
+
Download ANTLR 2.7.5 from http://antlr.org/, rename it in "antlr.jar" (if necessary) and put into lib/ of plugin org.eclipse.m2m.atl.engine.
  
Download mdr-standalone.zip from http://mdr.netbeans.org/download/ and put the included jar files into lib/ of plugin org.atl.engine.repositories.mdr4atl.
+
Download mdr-standalone.zip from http://mdr.netbeans.org/download/ and put the included jar files into lib/ of plugin org.eclipse.m2m.atl.drivers.mdr4atl.
  
 
Note that mdr-standalone.zip is updated more often on the MDR website than in our development source. As a consequence, bugs may appear when using the last-in-date mdr-standalone version of MDR.
 
Note that mdr-standalone.zip is updated more often on the MDR website than in our development source. As a consequence, bugs may appear when using the last-in-date mdr-standalone version of MDR.
Line 45: Line 45:
 
* You can install ADT in your copy of Eclipse. Go in the Plug-in perspective and select all the plug-in projects. In the context menu choose Export -> Deployable Plug-ins and Fragments.
 
* You can install ADT in your copy of Eclipse. Go in the Plug-in perspective and select all the plug-in projects. In the context menu choose Export -> Deployable Plug-ins and Fragments.
  
In the screen Export Plug-ins and Fragments, check if all the projects are selected and choose a single ZIP file in Export Options.
+
In the screen Export Plug-ins and Fragments, check if all the projects are selected and choose the output folder.
  
 
[[Image:ATL_PluginsExport.PNG]]
 
[[Image:ATL_PluginsExport.PNG]]
  
Now you need to close Eclipse. Enter the eclipse directory (which does not contain an eclipse directory but plug-ins and features directories) then unzip the zip file created. After that you can restart Eclipse.
+
Now you need to close Eclipse. Enter the "eclipse" directory (which contains plug-ins and features directories) then copy the created Jar files into the "plugins" directory. After that you can restart Eclipse.
  
 
You are ready to use ADT.
 
You are ready to use ADT.

Revision as of 10:19, 22 June 2007

< To: ATL

Installation of ADT (ATL Development Toolkit) from CVS

Install Eclipse and EMF

In order to use ADT (ATL Development Tools), you need Eclipse and EMF. ADT has been developed with and for Eclipse 3.2.x. ADT may be compatible with other versions (we are currently testing it with Eclipse 3.3 and we do not find any specific issue for the moment). You can download Eclipse here: http://www.eclipse.org/downloads/ and EMF here: http://www.eclipse.org/emf/.

Unzip the Eclipse zip file; this will create an eclipse directory with every Eclipse files in it.

Unzip the EMF zip file from the same directory (it also contains an eclipse directory, with the EMF additional files to Eclipse).

When you have finished to install Eclipse and EMF, you can run it.

Configuration of CVS access

You should go to CVS Repository view (Window -> Open Perspective). Then you should add a new repository location. The required parameters are the followings:

ATL CVSRepositoryLocation.PNG

You do not need a password.

Then, you can go to HEAD -> org.eclipse.m2m -> org.eclipse.m2m.atl -> plugins. You can now select the projects of the folder "plugins" (note that the "XXX-feature" ones are not mandatory) and check them out (this action is available in the context menu).

ATL CVSCheckout.PNG

Configuration of ADT

Now, you need to go to the Plug-in perspective. Some external libraries are required for the plug-in org.eclipse.m2m.atl.engine and org.eclipse.m2m.atl.drivers.mdr4atl but not available on the CVS repository (a README file is available in this plug-in). You need to download the jar files into the lib/ directory of these projects.

Download ANTLR 2.7.5 from http://antlr.org/, rename it in "antlr.jar" (if necessary) and put into lib/ of plugin org.eclipse.m2m.atl.engine.

Download mdr-standalone.zip from http://mdr.netbeans.org/download/ and put the included jar files into lib/ of plugin org.eclipse.m2m.atl.drivers.mdr4atl.

Note that mdr-standalone.zip is updated more often on the MDR website than in our development source. As a consequence, bugs may appear when using the last-in-date mdr-standalone version of MDR.

When you have finished this operation, there is normally no error left.

ADT is ready to be tested. There are two ways to use it:

  • In the "Plug-in Development perspective", you can launch a Run-time workbench (Click on Run -> Run as -> Run-time workbench).
  • You can install ADT in your copy of Eclipse. Go in the Plug-in perspective and select all the plug-in projects. In the context menu choose Export -> Deployable Plug-ins and Fragments.

In the screen Export Plug-ins and Fragments, check if all the projects are selected and choose the output folder.

ATL PluginsExport.PNG

Now you need to close Eclipse. Enter the "eclipse" directory (which contains plug-ins and features directories) then copy the created Jar files into the "plugins" directory. After that you can restart Eclipse.

You are ready to use ADT.

Back to the top